#include utility.js

Umi.UI.ChatInputMain = function() {
    const html = $e({
        attrs: {
            id: 'umi-msg-container',
            className: 'input__main',
        },
        child: [
            {
                tag: 'textarea',
                attrs: {
                    id: 'umi-msg-text',
                    name: 'text',
                    className: 'input__text',
                    autofocus: true,
                },
            },
            {
                tag: 'button',
                attrs: {
                    id: 'umi-msg-send',
                    className: 'input__button input__button--send',
                },
            },
        ],
    });

    return {
        getElement: function() {
            return html;
        },
    };
};
